# $Revision: 1.20 $, $Date: 2010/07/08 07:59:42 $
Summary:	Python bindings to GNU adns
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GNU adns
Name:		python-adns
Version:	1.2.1
Release:	3
License:	GPL v2+
Group:		Libraries/Python
Source0:	http://adns-python.googlecode.com/files/adns-python-%{version}.tar.gz
# Source0-md5:	12cc7ad1b0ee8d818005e9ca4def758b
URL:		http://code.google.com/p/adns-python/
%pyrequires_eq	python
BuildRequires:	adns-devel >= 1.4
BuildRequires:	python-devel >= 2.2.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Interface to GNU adns library.

%description -l pl.UTF-8
Interfejs do biblioteki GNU adns.

%prep
%setup -q -n adns-python-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py?

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-adns.spec,v $
Revision 1.20  2010/07/08 07:59:42  arekm
- release 3

Revision 1.19  2008/10/03 17:46:19  arekm
- release 2

Revision 1.18  2007-06-05 10:01:32  arekm
- up to 1.2.1

Revision 1.17  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.15  2007/01/08 12:20:31  arekm
- rel 2; fix freeing object (caused segfault)

Revision 1.14  2007/01/08 10:20:37  arekm
- up to 1.2.0

Revision 1.13  2007/01/08 09:37:51  arekm
- up to 1.1.1

Revision 1.12  2006/09/01 08:04:49  arekm
- rel 5; fix build

Revision 1.11  2006/08/28 12:21:54  arekm
- rel 4; rebuild

Revision 1.10  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.9  2004/12/23 20:20:23  saq
- release 3 for rebuild with python 2.4

Revision 1.8  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.7  2003/07/23 07:38:20  wiget
- rebuild with new python

Revision 1.6  2003/05/28 13:01:28  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:26:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/28 13:07:28  wrobell
- fixed file permissions

Revision 1.3  2003/03/27 22:08:16  qboosh
- pl description

Revision 1.2  2003/02/19 16:43:38  wiget
- release 1

Revision 1.1  2003/02/19 16:42:03  wiget
- new
